{% extends "base_notif.html" %}

{% block content %}
<main role="main" class="col-sm-9 ml-sm-auto col-md-10 pt-3">
<meta http-equiv="refresh" content="5" >
    <br>
    <h2>Service Order StateChange Notifications</h2>
    <div class="table-responsive">
      <h3> Current Time : {{ current_time }}</h3>
      {% if new_notifications %}
        <table class="table table-striped">
            <br>
            <thead>
            <tr>
                <th>#</th>
                <th>date</th>
                <th>service instance name</th>
                <th>action</th>
                <th>orderService state</th>
                <th>orderItem state</th>
                <th>BSS order id</th>
                <th>ONAP order id</th>
                <th>event type</th>
                <th>orderItem message</th>
            </tr>
            </thead>
        <h4>New Notifications (< 5mn)</h4>
            <tbody>
              {% for notification in new_notifications|sort(attribute='eventDate', reverse=True) %}
              <tr>
                  <td><class="notification" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>

                  <td><class="notification" type="text" id="notification_date_{{loop.index}}" name="notification_date_{{loop.index}}"
                       value="{{notification['eventDate']}}">{{notification['eventDate']}}</td>

                  <td><class="notification" type="text" id="notification_instance_name_{{loop.index}}" name="notification_instance_name_{{loop.index}}"
                       value="{{notification['event']['orderItem'][0]['service']['name']}}">{{notification['event']['orderItem'][0]['service']['name']}}</td>

                  <td><class="notification" type="text" id="notification_action_{{loop.index}}" name="notification_action_{{loop.index}}"
                       value="{{notification['event']['orderItem'][0]['action']}}">{{notification['event']['orderItem'][0]['action']}}</td>

                  <td><class="notification" type="text" id="notification_order_state_{{loop.index}}" name="notification_order_state_{{loop.index}}"
                       value="{{notification['event']['state']}}">{{notification['event']['state']}}</td>

                  <td><class="notification" type="text" id="notification_order_item_state_{{loop.index}}" name="notification_order_item_state_{{loop.index}}"
                       value="{{notification['event']['orderItem'][0]['state']}}">{{notification['event']['orderItem'][0]['state']}}</td>

                  <td><class="notification" type="text" id="notification_BSS_order_id_{{loop.index}}" name="notification_BSS_order_id_{{loop.index}}"
                      value="{{notification['event']['externalId']}}">{{notification['event']['externalId']}}</td>

                  <td><class="notification" type="text" id="notification_ONAP_order_id_{{loop.index}}" name="notification_ONAP_order_id_{{loop.index}}"
                      value="{{notification['event']['id']}}">{{notification['event']['id']}}</td>

                  <td><class="notification" type="text" id="notification_type_{{loop.index}}" name="notification_type_{{loop.index}}"
                       value="{{notification['eventType']}}">{{notification['eventType']}}</td>
                  {% if notification['event']['orderItem'][0]['orderItemMessage'] %}

                      <td><class="notification" type="text" id="notification_order_item_message_{{loop.index}}" name="notification_order_item_message_{{loop.index}}"
                            value="{{notification['event']['orderItem'][0]['orderItemMessage'][0]['messageInformation']}}">{{notification['event']['orderItem'][0]['orderItemMessage'][0]['messageInformation']}}</td>
                  {% else %}
                      <td>
                          <class="service" type="text" id="message" name="message"
                            value="">""
                      </td>
                  {% endif %}
              </tr>
              {% endfor %}
            </tbody>
        </table>
        {% endif %}
        <table class="table table-striped">
            <br>
            <thead>
              <tr>
                  <th>#</th>
                  <th>date</th>
                  <th>service instance name</th>
                  <th>action</th>
                  <th>orderService state</th>
                  <th>orderItem state</th>
                  <th>BSS order id</th>
                  <th>ONAP order id</th>
                  <th>event type</th>
                  <th>orderItem message</th>
              </tr>
            </thead>
        <h4>Old Notifications</h4>
            <tbody>
              {% for notification in old_notifications|sort(attribute='eventDate', reverse=True) %}
              <tr>
                  <td><class="notification" type="text" id="{{loop.index}}" name="{{loop.index}}" value="{{loop.index}}">{{loop.index}}</td>

                  <td><class="notification" type="text" id="notification_date_{{loop.index}}" name="notification_date_{{loop.index}}"
                       value="{{notification['eventDate']}}">{{notification['eventDate']}}</td>

                  <td><class="notification" type="text" id="notification_instance_name_{{loop.index}}" name="notification_instance_name_{{loop.index}}"
                       value="{{notification['event']['orderItem'][0]['service']['name']}}">{{notification['event']['orderItem'][0]['service']['name']}}</td>

                  <td><class="notification" type="text" id="notification_action_{{loop.index}}" name="notification_action_{{loop.index}}"
                       value="{{notification['event']['orderItem'][0]['action']}}">{{notification['event']['orderItem'][0]['action']}}</td>

                  <td><class="notification" type="text" id="notification_order_state_{{loop.index}}" name="notification_order_state_{{loop.index}}"
                       value="{{notification['event']['state']}}">{{notification['event']['state']}}</td>

                  <td><class="notification" type="text" id="notification_order_item_state_{{loop.index}}" name="notification_order_item_state_{{loop.index}}"
                       value="{{notification['event']['orderItem'][0]['state']}}">{{notification['event']['orderItem'][0]['state']}}</td>

                  <td><class="notification" type="text" id="notification_BSS_order_id_{{loop.index}}" name="notification_BSS_order_id_{{loop.index}}"
                      value="{{notification['event']['externalId']}}">{{notification['event']['externalId']}}</td>

                  <td><class="notification" type="text" id="notification_ONAP_order_id_{{loop.index}}" name="notification_ONAP_order_id_{{loop.index}}"
                      value="{{notification['event']['id']}}">{{notification['event']['id']}}</td>

                  <td><class="notification" type="text" id="notification_type_{{loop.index}}" name="notification_type_{{loop.index}}"
                       value="{{notification['eventType']}}">{{notification['eventType']}}</td>

                  <td><class="notification" type="text" id="notification_order_item_message_{{loop.index}}" name="notification_order_item_message_{{loop.index}}"
                      value="{{notification['event']['orderItem'][0]['orderItemMessage']['messageInformation']}}">{{notification['event']['orderItem'][0]['orderItemMessage']['messageInformation']}}</td>

              </tr>
              {% endfor %}
            </tbody>
        </table>
    </div>
</main>
{% endblock %}
